
angular.module("myApp", ["ui.router","ngResource","ui.bootstrap"]).config(function ($stateProvider, $urlRouterProvider, $locationProvider) {
    $locationProvider.hashPrefix('');
    $urlRouterProvider.otherwise("/news");
    $stateProvider
        .state("layout1", {
            abstract: true,
            views: {
                "layout": {
                    templateUrl: "layout/layout1.html"
                }
            }
        })

        .state("layout2", {
            abstract: true,
            views: {
                "layout": {
                    templateUrl: "layout/layout2.html",
                    controller: "homeController"
                }
            }
        })
        .state("layout3", {
            abstract: true,
            views: {
                "layout": {
                    templateUrl: "layout/layout3.html"
                }
            }
        })
        .state("news", {
            parent: 'layout2',
            url: "/news",
            views: {
                "content": {
                    templateUrl: "pages/homepage/homepage.html",
                    controller: "homeController"
                }
            }
        })
        .state("newsDetail",{
            parent:'layout2',
            url:"/news/:Id1",
            views:{
                "content":{
                    templateUrl: "pages/homepage/newsDetail.html",
                    controller: "homeController"
                }
            }
        })
        .state("NewsByCatalogi",{
            parent:'layout2',
            url:"/news/catagori/:catagoriId",
            views:{
                "content":{
                    templateUrl: "pages/homepage/newsDetailByCatalogi.html",
                    controller: "homeController"
                }
            }
        })
        .state("CatagoriManagement",{
            parent:'layout3',
            url:"/management/catagori",
            views:{
                "content":{
                    templateUrl: "pages/homepage/catagoriManagements.html",
                    controller: "homeController"

                }
            }
        })
        .state("newsManagement",{
            parent:'layout3',
            url:"/management/catagori/:myCatagoriId",
            views:{
                "content":{
                    templateUrl: "pages/homepage/newsManagements.html",
                    controller: "homeController"

                }
            }
        })
        .state("employees", {
            parent: 'layout1',
            url: "/employees",
            views: {
                "content": {
                    templateUrl: "pages/employee/employee.html",
                    controller: "employeeController"
                }
            }
        })
        .state("project", {
            parent: 'layout1',
            url: "/project",
            views: {
                "content": {
                    templateUrl: "pages/project/project.html",
                    controller: "projectController"
                }
            }
        })
        .state("report", {
            parent: 'layout1',
            url: "/report",
            views: {
                "content": {
                    templateUrl: "pages/employee/project.html",
                    controller: "employeeController"
                }
            }
        })

});

